clear all
close all

%Change Joint variables (theta1 theta2 theta3)

theta1 =   0.854;
theta2 =   0.554;
theta3 =   0.654;

l1 = 2;
l2 = 2;
l3 = 2;
px1 = l1*cos(theta1);
py1 = l1*sin(theta1);

px2 = l1*cos(theta1)+l2*cos(theta2+theta1);
py2 = l1*sin(theta1)+l2*sin(theta2+theta1);

px3 = l1*cos(theta1)+l2*cos(theta2+theta1)+l3*  cos(theta3+theta2+theta1);
py3 = l1*sin(theta1)+l2*sin(theta2+theta1)+l3*sin(theta3+theta2+theta1);
    
    
J = [-l1*sin(theta1)-l2*sin(theta1+theta2)-l3*sin(theta1+theta2+theta3) -l2*sin(theta1+theta2)-l3*sin(theta1+theta2+theta3) -l3*sin(theta1+theta2+theta3);
l1*cos(theta1)+l2*cos(theta1+theta2)+l3*cos(theta1+theta2+theta3) l2*cos(theta1+theta2)+l3*cos(theta1+theta2+theta3) l3*cos(theta1+theta2+theta3);
];


%velocity 
k0=0.4;




ax1e  = k0*    ;
ax2e  = k0*    ;

ang = atan2(V1(2),V1(1));
h=ellipse(norm(ax1e),norm(ax2e),ang,px3,py3,[0 1 0],200);

hold on

%force 

k0f=3;



ax1f  = k0f*    ;
ax2f  = k0f*    ;

ang = atan2(V1(2),V1(1));
h=ellipse(norm(ax1f),norm(ax2f),ang,px3,py3,[0 1 1],200);

hold on


figure(1), plot(0,0)
hold on
line([0 px1],[0 py1],'Color','r')
line([px1 px2],[py1 py2],'Color','g')
line([px2 px3],[py2 py3],'Color','b')
line([px3 px3+ax1e(1)],[py3 py3+ax1e(2)],'Color','k')
line([px3 px3+ax2e(1)],[py3 py3+ax2e(2)],'Color','r')
line([px3 px3+ax1f(1)],[py3 py3+ax1f(2)],'Color','k')
line([px3 px3+ax2f(1)],[py3 py3+ax2f(2)],'Color','r')
axis([-10 10,0,10])
drawnow;
pause(0.01);


